	program extradata

C	The inputs must be written in a file named run_data.dat
C	This program calculates the additional inputs and writes them in test.dat
C	Be careful: a folder named outprdt must be created before running the
C	Neural Network

	implicit real*8 (a-h,k-z), integer(i,j)
	double precision a(8000,45)
	double precision b(8000,45)
	open(unit=7,file='run_data.dat')
	open(unit=9,file='test.dat')
	open(unit=11,file='no_of_rows.dat')
	open(unit=44,file='s/committee.dat')

C
C THIS FILE READS NO oF DATA from input file "no_of_rows"
C
	read(11,*)irow
	write(*,*)'No. Of Data : ',irow
	read(44,*)imodel,icol

C
	iicol=26
	do 1 i=1, irow,1
      	read(7,*)(a(i,j),j=1,iicol)
C       Heat treatment conditions
	b(i,1) = a(i,1)
	b(i,2) = a(i,2)
	b(i,3) = a(i,3)
	b(i,4) = a(i,4)
C       HT derived parameters
	b(i,5) = a(i,4) * exp(-1673.0/(a(i,3)+273.0))
	b(i,6) = a(i,4) * exp(-5797.10/(a(i,3)+273.0))
	if(a(i,4)>0) then
	b(i,7)=log(a(i,4))
	else
	b(i,7)=-4
	endif
	b(i,8) = a(i,5)
	b(i,9) = 1 / (a(i,5)+1)
C       Compositional parameters
	b(i,10) = a(i,6)
	b(i,11) = a(i,7)
	b(i,12) = a(i,8)
	b(i,13) = a(i,9)
	b(i,14) = a(i,10)
	b(i,15) = a(i,11)
	b(i,16) = a(i,12)
	b(i,17) = a(i,13)
	b(i,18) = a(i,14)
	b(i,19) = a(i,15)
	b(i,20) = a(i,16)
	b(i,21) = a(i,17)
	b(i,22) = a(i,18)
	b(i,23) = a(i,19)
	b(i,24) = a(i,20)
	b(i,25) = a(i,21)
	b(i,26) = a(i,22)
	b(i,27) = a(i,23)
	b(i,28) = a(i,24)
C       Irradiation parameters
	b(i,29) = a(i,25)
	b(i,30) = a(i,26)
	b(i,31) = a(i,26) * exp(-1673.0/(a(i,25)+273.0))
	b(i,32) = a(i,26) * exp(-5797.10/(a(i,25)+273.0))
	if(a(i,26)>0) then
	b(i,33)=log(a(i,26))
	b(i,34)=log(a(i,26) * exp(-1673.0/(a(i,25)+273.0)))
	else
	b(i,33)=-5
	b(i,34)=-10
	endif
	b(i,35) = sqrt(a(i,26))

C	write(*,*)(b(i,j),j=1,icol)
1	continue
C       write(*,*)'doing it!'
C
	do 7 i=1, irow
	write (9,103)(b(i,ii), ii=1,icol)
7	continue

103	format(45f15.7)

	end
